boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< RangeOrPoint > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Geometry >
void | operator() (Geometry &geometry) const
| visitor (RangeOrPoint const &range_or_point, int ring_index, int multi_index)

## Public Attributes

int | m_multi_index
RangeOrPoint const & | m_range_or_point
int | m_ring_index

### template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
template<typename RangeOrPoint>
struct boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< RangeOrPoint >

## Constructor & Destructor Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename RangeOrPoint >

boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< RangeOrPoint >::visitor | ( | RangeOrPoint const & | range_or_point,
|  | int | ring_index,
|  | int | multi_index
| ) |  |

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename RangeOrPoint >
template<typename Geometry >

void boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< RangeOrPoint >::operator() | ( | Geometry & | geometry | ) | const

## Member Data Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename RangeOrPoint >

RangeOrPoint const& boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< RangeOrPoint >::m_range_or_point

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename RangeOrPoint >

int boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< RangeOrPoint >::m_ring_index

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename RangeOrPoint >

int boost::geometry::resolve_variant::append< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< RangeOrPoint >::m_multi_index

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK